package com.docus.sw.souyin;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 未来码匠
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MesEasyExcel {

    @ExcelProperty("全宗名")
    private String zongName;

    @ExcelProperty("盘号")
    private String plateName;

    @ExcelProperty("卷名")
    private String rollName;

    @ExcelProperty("档号")
    private String pieces;

    @ExcelProperty("数量")
    private Integer nums;

    @ExcelProperty("起始缩微号")
    private String startNum;


    public static MesEasyExcel create(IndexPageRow indexPageRow){

        String startNum = "";
        Integer start = indexPageRow.getStart();
        if(start!=null){
            startNum = start.toString();
        }
        return  new MesEasyExcel(indexPageRow.getZongName(),indexPageRow.getPhNum(),indexPageRow.getRollName(),indexPageRow.getPiecesName(),indexPageRow.getNums(),startNum);
    }

}
